Loading...
Searching...
No Matches
log_info_cat Struct Reference
Osmocom logging framework

Information regarding one logging category. More...

`#include <logging.h>`

## Data Fields

const char * | name
| name of category
const char * | color
| color string for cateyory
const char * | description
| description text
uint8_t | loglevel
| currently selected log-level
uint8_t | enabled
| is this category enabled or not

## Detailed Description

Information regarding one logging category.

## Field Documentation

## color

const char* log_info_cat::color

color string for cateyory

## description

const char* log_info_cat::description

description text

## enabled

uint8_t log_info_cat::enabled

is this category enabled or not

## loglevel

uint8_t log_info_cat::loglevel

currently selected log-level

Referenced by log_init().

## name

const char* log_info_cat::name

name of category

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h